;(function($){

    $(document).ready(function(){

        //
        //  Menu header & Menu button 
        //
        var $body               = $("body"),
            $menuWrapper        = $("#header-menu"),
            $menuButton         = $("#menu-header-button"),
            buttonClassOpened   = 'menu-header-button--opened',
            buttonClassHidden   = 'menu-header-button--hidden',
            bodyClassMenuOpened = 'body--menu-opened',
            animateClassOn      = 'menu-header--animate-on',
            animateClassOff     = 'menu-header--animate-off',
            $submenuLinks       = $menuWrapper.find('.menu-item-has-children > a'),
            $menuFirstLinks     = $menuWrapper.find('.menu-header > li'),
            animationTimeout    = null;


        //  Default menu settings
        $menuFirstLinks.addClass(animateClassOff);
        $menuWrapper.find('.sub-menu').hide();
        $submenuLinks.after("<span class='fa fa-caret-down'></span>");


        //  Menu events
        $menuWrapper.find('.fa').click(function(){
            $(this).next().slideToggle();
        });

        $menuButton.click(function(ev){
            ev.preventDefault();

            if ($(this).hasClass(buttonClassOpened)) {
                $(this).removeClass(buttonClassOpened);
                $(this).addClass(buttonClassHidden);
                $body.removeClass(bodyClassMenuOpened);

                $menuWrapper.stop().fadeOut(200, function(){
                    $menuFirstLinks.removeClass(animateClassOn);
                });

            } else if ($(this).hasClass(buttonClassHidden)) {
                $(this).removeClass(buttonClassHidden);
                $(this).addClass(buttonClassOpened);
                $body.addClass(bodyClassMenuOpened);
                resetMenu();

                $menuWrapper.stop().fadeIn(200, function(){
                    menuHeaderLinkAnimate();
                });

            } else {
                $(this).addClass(buttonClassOpened);
                $body.addClass(bodyClassMenuOpened);
                resetMenu();

                $menuWrapper.stop().fadeIn(200, function(){
                    menuHeaderLinkAnimate();
                });
            }
        });


        //  Menu helpers
        function menuHeaderLinkAnimate(){
            var delay = 0;

            $menuFirstLinks.each(function(){
                var that = $(this);
                delay += 100;

                animationTimeout = setTimeout(function(){
                    that.addClass(animateClassOn);
                }, delay);
            });
        }

        function resetMenu(){
            $menuWrapper.find('.sub-menu').hide();
        }

    });

})(jQuery);